package +zoccolo+.task.impl;

import java.util.Date;

import org.apache.log4j.Logger;
import org.quartz.JobExecutionContext;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;

import +zoccolo+.task.+Quartztask+Task;

public class +Quartztask+TaskImpl implements +Quartztask+Task {

	private static final Logger log = Logger.getLogger(
			+Quartztask+TaskImpl.class);

	public void execute(JobExecutionContext ctx)
			
			throws Exception {
		
		SpringBeanAutowiringSupport
				.processInjectionBasedOnCurrentContext(this);
	/* screwdriver_knife */
	}
}
